<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar class="dec-title">
  <span style="margin-left: 15px;"><h1 class="mat-h1">Execution Context Descriptors</h1></span>
</mat-toolbar>
<div class="dec-container" >
  <div fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 90%">
  <table mat-table class="full-width-table ded-table" matSort aria-label="Elements">
    <!-- Id Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
      <td mat-cell *matCellDef="let row"><b>{{row.ctxDescriptorId}}</b></td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
      <td mat-cell *matCellDef="let row"><b>{{row.name}}</b></td>
    </ng-container>

    <!-- Version Column -->
    <ng-container matColumnDef="version">
      <th fxShow.xs="false" mat-header-cell *matHeaderCellDef mat-sort-header>Version</th>
      <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.version}}</td>
    </ng-container>

    <!-- Blueprint Id Column -->
    <ng-container matColumnDef="ctxBlueprintId">
      <th fxShow.xs="false" mat-header-cell *matHeaderCellDef mat-sort-header>Execution Context</th>
      <!--td mat-cell *matCellDef="let row">{{row.ctxBlueprintId}}</td-->
      <td fxShow.xs="false" mat-cell *matCellDef="let row">
        <tr *ngFor="let name of idToCtxbId.get(row.ctxDescriptorId) | keyvalue"><td><a (click)="viewCtxBlueprint(name.key)">{{name.value}}</a></td></tr>
      </td>
    </ng-container>

    <!-- Parameters Column -->
    <ng-container matColumnDef="ctxParameters">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Parameters</th>
      <td mat-cell *matCellDef="let row"><tr *ngFor="let param of row.ctxParameters | keyvalue"><td> - {{param.key}}: {{param.value}}</td></tr></td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator #paginator style="width: 100%" fxFlex="100%" fxLayout.xs="row" fxLayout="column" fxLayoutAlign="center center"
      [length]="dataSource?.data.length"
      [pageIndex]="0"
      [pageSize]="50"
      [pageSizeOptions]="[25, 50, 100, 250]"
      class="dec-table paginator-xs">
  </mat-paginator>
</div>
</div>
    